| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/flavors/{flavor_id} | Gets details for a specified
flavor. Includes the
|
Normal response codes: 200200
This table shows the URI parameters for the get flavor disabled status details request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| Uuid | The ID of the flavor of interest to you. |
This operation does not require a request body.
Example 3.65. Get flavor disabled status details: JSON response
{
"flavor": {
"OS-FLV-DISABLED:disabled": false,
"disk": 1,
"id": "1",
"links": [
{
"href": "http://openstack.example.com/v2/openstack/flavors/1",
"rel": "self"
},
{
"href": "http://openstack.example.com/openstack/flavors/1",
"rel": "bookmark"
}
],
"name": "m1.tiny",
"ram": 512,
"vcpus": 1
}
}
Example 3.66. Get flavor disabled status details: XML response
<?xml version='1.0' encoding='UTF-8'?> <flavor xmlns:OS-FLV-DISABLED="http://docs.openstack.org/compute/ext/flavor_disabled/api/v1.1" xmlns:atom="http://www.w3.org/2005/Atom" xmlns="http://docs.openstack.org/compute/api/v1.1" disk="1" vcpus="1" ram="512" name="m1.tiny" id="1" OS-FLV-DISABLED:disabled="False"> <atom:link href="http://openstack.example.com/v2/openstack/flavors/1" rel="self"/> <atom:link href="http://openstack.example.com/openstack/flavors/1" rel="bookmark"/> </flavor>
This operation does not return a response body.

